import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onInfbutSearow(){
                let rtnmsg = await this.executeRule("infbut.searow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑
                    this.stmData.data = rtnmsg.data.infbut_dspstm.rows;
                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutDsp(){
                let rtnmsg = await this.executeRule("infbut.dsp")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutUserow(){
                let rtnmsg = await this.executeRule("infbut.userow")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutClr(){
                let rtnmsg = await this.executeRule("infbut.clr")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }

                this.model.extkey = "";
                this.model.nam = "";
                this.model.uil = "";
            },
        async onInfbutButprt(){
                let rtnmsg = await this.executeRule("infbut.butprt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onInfbutExi(){
                let rtnmsg = await this.executeRule("infbut.exi")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}